summaryrefslogtreecommitdiffstats
path: root/tools/wine_valgrind/chrome_tests.sh
diff options
context:
space:
mode:
authorrsleevi@chromium.org <rsleevi@chromium.org@0039d316-1c4b-4281-b951-d872f2087c98>2010-12-16 02:26:08 +0000
committerrsleevi@chromium.org <rsleevi@chromium.org@0039d316-1c4b-4281-b951-d872f2087c98>2010-12-16 02:26:08 +0000
commitec2f688a0ea9bb4e4cb17575bc39e16cf5b4bb06 (patch)
tree5dd62305a771e12edade5de239b88255022412ea /tools/wine_valgrind/chrome_tests.sh
parentc0b0a690853bc8e2d653f1524466750f7bf57188 (diff)
downloadchromium_src-ec2f688a0ea9bb4e4cb17575bc39e16cf5b4bb06.zip
chromium_src-ec2f688a0ea9bb4e4cb17575bc39e16cf5b4bb06.tar.gz
chromium_src-ec2f688a0ea9bb4e4cb17575bc39e16cf5b4bb06.tar.bz2
Revert 69356 - Regenerate the root certificate and end-entity certificates used for various tests in net_unittests, now that Windows can temporarily trust certificates for the duration of tests.
In addition, add unittests for net::TestRootCerts, which depend on the certs being tested not being trusted by the system beforehand. BUG=8470, 5552 TEST=TestRootCertsTest.* Review URL: http://codereview.chromium.org/5535006 TBR=rsleevi@chromium.org git-svn-id: svn://svn.chromium.org/chrome/trunk/src@69363 0039d316-1c4b-4281-b951-d872f2087c98
Diffstat (limited to 'tools/wine_valgrind/chrome_tests.sh')
-rwxr-xr-xtools/wine_valgrind/chrome_tests.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/tools/wine_valgrind/chrome_tests.sh b/tools/wine_valgrind/chrome_tests.sh
index f98486d..990e0a5 100755
--- a/tools/wine_valgrind/chrome_tests.sh
+++ b/tools/wine_valgrind/chrome_tests.sh
@@ -241,6 +241,16 @@ init_runtime() {
echo Please kill the server listening on port 1337, or reboot. The net tests need this port.
exit 1
fi
+ if test ! -f /usr/share/ca-certificates/root_ca_cert.crt
+ then
+ echo "You need to do"
+ echo "sudo cp src/net/data/ssl/certificates/root_ca_cert.crt /usr/share/ca-certificates/"
+ echo "sudo vi /etc/ca-certificates.conf (and add the line root_ca_cert.crt)"
+ echo "sudo update-ca-certificates"
+ echo "else ssl tests will fail."
+ echo "(Alternately, modify this script to run Juan's importer, http://bugs.winehq.org/show_bug.cgi?id=20370#c4 )"
+ exit 1
+ fi
if test -n "$VNC"
then